function Y = initial_box()
global D N
global x_ y_ z_ s_ p_ v_ f_
Y = zeros( N^D, D, 4 );   % N^D points, D coords, P,V,F,S

x = zeros( 1, D );

for iPt = 1:size(Y,1)
    Y( iPt, :, p_ ) = x;
    
    iD = length(x);
    x(iD) = x(iD) + 1;
    while x(iD) >= N && iD > 1
        x(iD) = 0;
        x(iD-1) = x(iD-1)+1;
        iD = iD-1;
    end
end

Y(:,:,p_) = (1.0 / (N-1)) .* Y(:,:,p_);
Y(:,:,s_) = Y(:,:,p_);

end